import * as d from '../../declarations';
export declare function getDistEsmDir(config: d.Config, outputTarget: d.OutputTargetDist, sourceTarget?: d.SourceTarget): string;
export declare function getDistEsmComponentsDir(config: d.Config, outputTarget: d.OutputTargetDist, sourceTarget: d.SourceTarget): string;
export declare function getDistEsmIndexPath(config: d.Config, outputTarget: d.OutputTargetDist, sourceTarget?: d.SourceTarget): string;
export declare function getDefineCustomElementsPath(config: d.Config, outputTarget: d.OutputTargetDist, sourceTarget: d.SourceTarget): string;
export declare function getComponentsEsmBuildPath(config: d.Config, outputTarget: d.OutputTargetDist, sourceTarget: d.SourceTarget): string;
export declare function getCoreEsmFileName(config: d.Config): string;
export declare function getDefineEsmFilename(config: d.Config): string;
export declare function getComponentsEsmFileName(config: d.Config): string;
export declare function getLoaderEsmPath(config: d.Config, outputTarget: d.OutputTargetDist): string;
export declare function getComponentsDtsSrcFilePath(config: d.Config): string;
export declare function getComponentsDtsTypesFilePath(config: d.Config, outputTarget: d.OutputTargetDistCollection): string;
export declare function isOutputTargetDist(o: d.OutputTarget): o is d.OutputTargetDist;
export declare function isOutputTargetDistCollection(o: d.OutputTarget): o is d.OutputTargetDistCollection;
export declare function isOutputTargetDistLazy(o: d.OutputTarget): o is d.OutputTargetDistLazy;
export declare function isOutputTargetDistModule(o: d.OutputTarget): o is d.OutputTargetDistModule;
export declare function isOutputTargetDistSelfcontained(o: d.OutputTarget): o is d.OutputTargetDistSelfcontained;
export declare function isOutputTargetHydrate(o: d.OutputTarget): o is d.OutputTargetHydrate;
export declare function isOutputTargetWww(o: d.OutputTarget): o is d.OutputTargetWww;
export declare function isOutputTargetStats(o: d.OutputTarget): o is d.OutputTargetStats;
export declare function getComponentsFromModules(moduleFiles: d.Module[]): d.ComponentCompilerMeta[];
export declare function canSkipAppCoreBuild(buildCtx: d.BuildCtx): boolean;
export declare const GENERATED_DTS = "components.d.ts";
